/*
 *  Name        : kcmjoy.h ( part of kcmjoy )
 *  Version     : 0.1
 *  Description : Joystick setup utility for KDE
 *
 *  Copyright (C) 1998 Luca Montecchiani <m.luca@usa.net>       
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <kcontrol.h>
#include "kcmjoy.h"

class KcmjoyApplication : public KControlApplication
{
public:

	KcmjoyApplication(int &argc, char **arg, const char *name);

	void init();
	void apply();

private:

	Kcmjoy *joy;
};


KcmjoyApplication::KcmjoyApplication(int &argc, char **argv,const char *name)
	: KControlApplication(argc, argv, name)
{
joy = 0;

if (runGUI())
	{
	if (!pages || pages->contains("Joystick"))
		addPage(joy = new Kcmjoy(dialog, "Joystick",FALSE), "&Joystick", "kcmjoy.html");

	if (joy)
		dialog->show();
	else 	{
		fprintf(stderr, klocale->translate("usage: kcmjoy [-init]\n"));
		justInit = TRUE;
		}
	}
}

void KcmjoyApplication::init()
{
	joy = new Kcmjoy(0,"Joystick",TRUE);
	joy->Init();
	delete joy;
}

void KcmjoyApplication::apply()
{
	joy->applySettings();
}                       

// ***********************************************************************
// |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
// >>>>>>>>>>>>>>>>>>>>>>>>> Our trip start here <<<<<<<<<<<<<<<<<<<<<<<<<
// |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
// ***********************************************************************
int main(int argc, char **argv)
{
KcmjoyApplication app(argc, argv, "kcmjoy");
app.setTitle(klocale->translate("Joystick"));

if (app.runGUI())
	return app.exec();
else 	{
	app.init();
	return 0;
	}      
}
